services:
  gitea:
    image: gitea/gitea:latest
    environment:
      USER_UID: 1000
      USER_GID: 1000
      GITEA__database__DB_TYPE: mysql
      GITEA__database__HOST: gitea-db:3306
      GITEA__database__NAME: gitea
      GITEA__database__USER: gitea
      GITEA__database__PASSWD: gitea
    restart: always
    links:
      - gitea-db
    depends_on:
      - gitea-db
    volumes:
      - ./gitea:/data
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
    ports:
      - "3000:3000"
      - "222:22"

  gitea-db:
    image: mysql:8.0
    restart: always
    environment:
      MYSQL_ROOT_PASSWORD: gitea
      MYSQL_USER: gitea
      MYSQL_PASSWORD: gitea
      MYSQL_DATABASE: gitea
    volumes:
      - ./gitea-db:/var/lib/mysql

  redmine:
    image: redmine:latest
    restart: always
    ports:
      - 8080:3000
    links:
      - readmine-db
    depends_on:
      - readmine-db
    environment:
      REDMINE_DB_MYSQL: readmine-db
      REDMINE_DB_PASSWORD: example
      REDMINE_SECRET_KEY_BASE: supersecretkey

  readmine-db:
    image: mysql:8.0
    restart: always
    environment:
      MYSQL_ROOT_PASSWORD: example
      MYSQL_DATABASE: redmine
    volumes:
      - ./readmine-db:/var/lib/mysql

  mediawiki:
    image: mediawiki:latest
    restart: always
    ports:
      - 8081:80
    links:
      - mediawiki-db
    depends_on:
      - mediawiki-db
    volumes:
      - ./images:/var/www/html/images
      - ./LocalSettings.php:/var/www/html/LocalSettings.php

  mediawiki-db:
    image: mariadb
    restart: always
    environment:
      MYSQL_DATABASE: my_wiki
      MYSQL_USER: wikiuser
      MYSQL_PASSWORD: example
      MYSQL_RANDOM_ROOT_PASSWORD: "yes"
    volumes:
      - ./mediawiki-db:/var/lib/mysql
